欢迎来到Doc100.Net免费学习资源知识分享平台!
您的位置:首页 > 程序异常 >

wap网站对协议进行适配的简单有关问题

更新时间: 2014-01-05 02:49:07 责任编辑: Author_N1

 

WAP网站对协议进行适配的简单问题
现在的   wap   版本好像有   1.0,   1.1,   1.2,   2.0   ,适配好像只要针对   2.0   和以前版本的。

那就是,怎么分辨用户是不是2.0的了。
从请求头里解析出来的   user   agent   里好像并不总包含这些信息。

下面是几个   user   agent:
DX-C618   DX-C618/1.0   UP.Browser/4.1.27   UP.Link/5.0.1.1
TDC6600   TDC6600   UP.Browser/4.1.27   UP.Link/5.0.1.1

SEC-schx359   SEC-schx359   UP.Browser/4.1.26l   UP.Link/5.1.1.5c
Sanyo-SCP510CN   Sanyo-SCP510CN/1.0   UP.Browser/4.1.26c4   UP.Link/5.0.1.1

有人说如果UA里包含了   "2.0 "   ,那就是用   wap   2.0   作协议的,而没有的话就属于先前版本的协议,请问一下是不是这样的呢?

--参考方法--
得看你是用联通网络上网还是移动网络上网了,移动屏蔽UA的
--参考方法--
从user agent得不到的,可以对手机型号和wap入库,取得ua进行比对。
--参考方法--
楼上正解
上一篇:上一篇
下一篇:下一篇

 

随机推荐程序问答结果

 

 

如对文章有任何疑问请提交到问题反馈,或者您对内容不满意,请您反馈给我们DOC100.NET论坛发贴求解。
DOC100.NET资源网,机器学习分类整理更新日期::2014-01-05 02:49:07
如需转载,请注明文章出处和来源网址:http://www.doc100.net/bugs/t/14840/
本文WWW.DOC100.NET DOC100.NET版权所有。